var e = require("../../common/vendor.js"),
  r = require("../../hooks/onMounted.js"),
  i = require("../../hooks/onShareAppMessage.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../service/index.js"),
  require("../../utils/request.js"),
  require("../../config/index.js"),
  require("../../constant/index.js"),
  require("../../utils/util.js");
var s = {
  __name: "index",
  setup: function (s) {
    var n = e.ref("");
    return (
      r.onMounted(function (r) {
        e.index.setNavigationBarTitle({ title: "车辆历史报告" }),
          (n.value = r.url);
      }, !1),
      i.onShareAppMessage(),
      function (e, r) {
        return { a: n.value };
      }
    );
  },
  __runtimeHooks: 2,
};
wx.createPage(s);
